CMSIS-Driver: WiFi Security Type

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
WiFi Security Type
WiFi Management

Specifies WiFi security type for ARM_WIFI_Activate. More...

## Macros

#define | ARM_WIFI_SECURITY_OPEN 0U
| Open. More...
#define | ARM_WIFI_SECURITY_WEP 1U
| Wired Equivalent Privacy (WEP) with Pre-Sheared Key (PSK) More...
#define | ARM_WIFI_SECURITY_WPA 2U
| WiFi Protected Access (WPA) with PSK. More...
#define | ARM_WIFI_SECURITY_WPA2 3U
| WiFi Protected Access II (WPA2) with PSK. More...
#define | ARM_WIFI_SECURITY_UNKNOWN 255U
| Unknown. More...

## Description

Specifies WiFi security type for ARM_WIFI_Activate.

The WiFi security type defines the standard used to protect the wireless network from unauthorized access.

## Macro Definition Documentation

#define ARM_WIFI_SECURITY_OPEN 0U

Open.

This is an open system which provides no security.

See Also
  WiFi Security Type

#define ARM_WIFI_SECURITY_WEP 1U

Wired Equivalent Privacy (WEP) with Pre-Sheared Key (PSK)

This security standard provides weak level of security.

See Also
  WiFi Security Type

#define ARM_WIFI_SECURITY_WPA 2U

WiFi Protected Access (WPA) with PSK.

This security standard provides medium level of security.

See Also
  WiFi Security Type

#define ARM_WIFI_SECURITY_WPA2 3U

WiFi Protected Access II (WPA2) with PSK.

This security standard provides strong level of security.

See Also
  WiFi Security Type

#define ARM_WIFI_SECURITY_UNKNOWN 255U

Unknown.

Unknown security standard (reported by ARM_WIFI_Scan).

See Also
  WiFi Security Type